# I3dShCamera.h File Reference

## Classes
struct | TStandardCameraInfo
struct | I3DShCamera
## Enumerations
enum | ECameraPreset { kReferencePreset, kTopPreset, kBottomPreset, kLeftPreset, kRightPreset, kFrontPreset, kBackPreset }
enum | EProjectionType { kProjectionType_kOrthographic = 0, kProjectionType_kPerspective }
enum | ECanonicalCameraType { kCanonicalCameraType_NotCanonical = 0, kCanonicalCameraType_Left, kCanonicalCameraType_Right, kCanonicalCameraType_Top, kCanonicalCameraType_Bottom, kCanonicalCameraType_Front, kCanonicalCameraType_Back, kCanonicalCameraType_UV }
## Functions
| MCDEFINE_GUID (IID_I3DShCamera, 0xE76CA120L, 0x3A02, 0x101C, 0x88, 0x5F, 0x04, 0x02, 0x1C, 0x00, 0x70, 0x02)
| MCDEFINE_GUID (CLSID_StandardExternalCamera, 0x4ee334f4, 0x1624, 0x11d2, 0x84, 0x6a, 0x0, 0x60, 0x97, 0xb, 0xc5, 0x21)
| MCDEFINE_GUID (CLSID_StandardConicalCamera, 0x2E971880L, 0x3A05, 0x101C, 0x88, 0x5F, 0x04, 0x02, 0x1C, 0x00, 0x70, 0x02)
| MCDEFINE_GUID (CLSID_StandardIsometricCamera, 0x3063E940L, 0x3A05, 0x101C, 0x88, 0x5F, 0x04, 0x02, 0x1C, 0x00, 0x70, 0x02)

## Enumeration Type Documentation

enum ECameraPreset

Preset codes for I3DShCamera::Preset()

Enumerator:

  kReferencePreset |
  kTopPreset |
  kBottomPreset |
  kLeftPreset |
  kRightPreset |
  kFrontPreset |
  kBackPreset |

enum ECanonicalCameraType

Is the camera one of the predefined ortho views (left, top...) or not (kCanonicalCameraType_NotCanonical)

Enumerator:

  kCanonicalCameraType_NotCanonical |
  kCanonicalCameraType_Left |
  kCanonicalCameraType_Right |
  kCanonicalCameraType_Top |
  kCanonicalCameraType_Bottom |
  kCanonicalCameraType_Front |
  kCanonicalCameraType_Back |
  kCanonicalCameraType_UV |

enum EProjectionType

Describes the projection type of a camera

Enumerator:

  kProjectionType_kOrthographic |
  kProjectionType_kPerspective |

## Function Documentation

MCDEFINE_GUID | ( | CLSID_StandardIsometricCamera | ,
|  | 0x3063E940L | ,
|  | 0x3A05 | ,
|  | 0x101C | ,
|  | 0x88 | ,
|  | 0x5F | ,
|  | 0x04 | ,
|  | 0x02 | ,
|  | 0x1C | ,
|  | 0x00 | ,
|  | 0x70 | ,
|  | 0x02 |  |
| ) |  |  |

MCDEFINE_GUID | ( | CLSID_StandardConicalCamera | ,
|  | 0x2E971880L | ,
|  | 0x3A05 | ,
|  | 0x101C | ,
|  | 0x88 | ,
|  | 0x5F | ,
|  | 0x04 | ,
|  | 0x02 | ,
|  | 0x1C | ,
|  | 0x00 | ,
|  | 0x70 | ,
|  | 0x02 |  |
| ) |  |  |

MCDEFINE_GUID | ( | CLSID_StandardExternalCamera | ,
|  | 0x4ee334f4 | ,
|  | 0x1624 | ,
|  | 0x11d2 | ,
|  | 0x84 | ,
|  | 0x6a | ,
|  | 0x0 | ,
|  | 0x60 | ,
|  | 0x97 | ,
|  | 0xb | ,
|  | 0xc5 | ,
|  | 0x21 |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_I3DShCamera | ,
|  | 0xE76CA120L | ,
|  | 0x3A02 | ,
|  | 0x101C | ,
|  | 0x88 | ,
|  | 0x5F | ,
|  | 0x04 | ,
|  | 0x02 | ,
|  | 0x1C | ,
|  | 0x00 | ,
|  | 0x70 | ,
|  | 0x02 |  |
| ) |  |  |